﻿$ErrorActionPreference = 'Stop'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition
$download_dir = "$Env:TEMP\chocolatey\$packageName\$Env:ChocolateyPackageVersion"

$packageArgs = @{
  packageName    = 'universal-ctags'
  url            = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-02-03/p5.9.20220130.0-4-gd00442e4/ctags-2022-02-03_p5.9.20220130.0-4-gd00442e4-x86.zip'
  url64Bit       = 'https://github.com/universal-ctags/ctags-win32/releases/download/2022-02-03/p5.9.20220130.0-4-gd00442e4/ctags-2022-02-03_p5.9.20220130.0-4-gd00442e4-x64.zip'
  checksum       = '0B6D8C48954AA3D8CA5E3C02D113CAD4FE133E125A5392330F32CBD049105422'
  checksum64     = '0A5578D7F83B64D7489201F6F76D8A03B8525E2BF7E37AD28D3D04E30B65BD81'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = $toolsPath
}
Install-ChocolateyZipPackage @packageArgs
